
# This is the default worksapce
# Check this link for more information on the same
# https://github.com/airbytehq/airbyte/blob/07a45df4547fa5f12a170dff0bfc56c39c3d2e9f/airbyte-config/persistence/src/main/java/io/airbyte/config/persistence/PersistenceConstants.java
DEFAULT_WORKSPACE_ID = "5ae6b09b-fdec-41af-aaf7-7d94cfc33ef6"

# Destination for the third party data
DESTINATION_DEF_ID = "25c5221d-dce2-4163-ade9-739ef790f503" # POSTGRES DB
DESTINATION_TYPE = "postgres"

# Mapping configuration from the source to database
SOURCE_CONFIG_MAPPING = {
    "71607ba1-c0ac-4799-8049-7f4b90dd50f7": {
        "syncMode": "full_refresh",
        "cursorField": [],
        "destinationSyncMode": "overwrite",
        "primaryKey": [],
        "selected": True,
    },
    "39f092a6-8c87-4f6f-a8d9-5cef45b7dbe1": {
        "syncMode": "incremental",
        "cursorField": [],
        "destinationSyncMode": "append",
        "primaryKey": [],
        "selected": True,
    },
    "9da77001-af33-4bcd-be46-6252bf9342b9": {
        "syncMode": "full_refresh",
        "destinationSyncMode": "append",
        "selected": True,
    },
    "e094cb9a-26de-4645-8761-65c0c425d1de": {
        "syncMode": "full_refresh",
        "destinationSyncMode": "append",
        "selected": True,
    },
    "253487c0-2246-43ba-a21f-5116b20a2c50": {
        "syncMode": "incremental",
        "cursorField": ["segments.date"],
        "destinationSyncMode": "append",
        "primaryKey": [["ad_group_ad", "ad", "id"]],
        "aliasName": "ad_group_ad_report",
        "selected": True
    },
    "e7778cfc-e97c-4458-9ecb-b4f2bba8946c": {
        "syncMode": "incremental",
        "destinationSyncMode": "append",
        "selected": True
    }
}

# KEY: UUID of the source, VALUE: is third party data source
SOURCE_WHITELIST_AND_TYPE = {
    "39f092a6-8c87-4f6f-a8d9-5cef45b7dbe1": True,  # Google Analytics
    "71607ba1-c0ac-4799-8049-7f4b90dd50f7": True,  # Google Sheets
    "435bb9a5-7887-4809-aa58-28c27df0d7ad": False,  # MySQL
    "decd338e-5647-4c0b-adf4-da0e75f5a750": False,  # Postgres
    "9da77001-af33-4bcd-be46-6252bf9342b9": True,  # Shopify
    "e094cb9a-26de-4645-8761-65c0c425d1de": True,  # Stripe
    "253487c0-2246-43ba-a21f-5116b20a2c50": True,  # Google Ads
    "e7778cfc-e97c-4458-9ecb-b4f2bba8946c": True,  # Facebook Ads
    "47f25999-dd5e-4636-8c39-e7cea2453331": True,  # Bing Ads
    "bfd1ddf8-ae8a-4620-b1d7-55597d2ba08c": False,  # Google BigQuery
    "e2d65910-8c8b-40a1-ae7d-ee2416b2bfa2": False,  # Snowflake
    "e87ffa8e-a3b5-f69c-9076-6011339de1f6": False,  # Redshift
    "5B45DB62-303C-4E70-92DA-419D3CDBD506": False,  # Druid
    "F2A65364-07BA-4542-BA1B-0805E5A0572D": False,  # AWS Athena
    "ba49e8e6-eed6-11ec-8ea0-0242ac120002": False,  # Databricks
    # "29b409d9-30a5-4cc8-ad50-886eb846fea3", # Quickbooks
}

# KEY: source configuration for creating the database connection
# Value: corresponding database key in integration configuration
DATABASE_CONFIG_MAPPER = {
    "decd338e-5647-4c0b-adf4-da0e75f5a750": {
        "host": "host",
        "port": "port",
        "database": "database",
        "username": "username",
        "password": "password",
        "db_type": "postgres"
    },
    "435bb9a5-7887-4809-aa58-28c27df0d7ad": {
        "host": "host",
        "port": "port",
        "database": "database",
        "username": "username",
        "password": "password",
        "db_type": "mysql"
    },
    "bfd1ddf8-ae8a-4620-b1d7-55597d2ba08c": {
        "credentials_json": "credentials_json",
        "dataset_id": "dataset_id",
        "project_id": "project_id",
        "db_type": "bigquery"
    },
    "e2d65910-8c8b-40a1-ae7d-ee2416b2bfa2": {
        "host": "host",
        "role": "role",
        "warehouse": "warehouse",
        "database": "database",
        "schema": "schema",
        "username": "username",
        "password": "password",
        "db_type": "snowflake"
    },
    "e87ffa8e-a3b5-f69c-9076-6011339de1f6": {
        "host": "host",
        "port": "port",
        "database": "database",
        "username": "username",
        "password": "password",
        "db_type": "redshift"
    },
    "5B45DB62-303C-4E70-92DA-419D3CDBD506": {
        "host": "host",
        "port": "port",
        "username": "username",
        "password": "password",
        "db_type": "druid"
    },
    "ba49e8e6-eed6-11ec-8ea0-0242ac120002": {
        "host": "host",
        "cluster_http_path": "cluster_http_path",
        "access_token": "access_token",
        "catalog": "catalog",
        "db_type": "databricks"
    }
}

SOURCE_ICON_OVERRIDE = {
    "9da77001-af33-4bcd-be46-6252bf9342b9": '''<svg xmlns="http://www.w3.org/2000/svg"  viewBox="0 0 48 48" width="48px" height="48px"><path fill="#7cb342" d="M37.216,11.78c-0.023-0.211-0.211-0.305-0.351-0.305s-3.21-0.234-3.21-0.234s-2.132-2.132-2.39-2.343	c-0.234-0.234-0.68-0.164-0.867-0.117c-0.023,0-0.469,0.141-1.195,0.375c-0.726-2.086-1.968-3.984-4.194-3.984h-0.211	C24.187,4.375,23.391,4,22.735,4c-5.155,0-7.639,6.444-8.412,9.725c-2.015,0.633-3.445,1.054-3.609,1.125	c-1.125,0.351-1.148,0.375-1.289,1.429c-0.117,0.797-3.046,23.456-3.046,23.456L29.179,44l12.373-2.671	C41.575,41.282,37.24,11.991,37.216,11.78z M27.937,9.483c-0.562,0.164-1.242,0.375-1.921,0.609V9.671	c0-1.265-0.164-2.296-0.469-3.117C26.718,6.695,27.445,7.984,27.937,9.483L27.937,9.483z M24.117,6.812	c0.305,0.797,0.516,1.922,0.516,3.468v0.234c-1.265,0.398-2.601,0.797-3.984,1.242C21.422,8.804,22.899,7.351,24.117,6.812	L24.117,6.812z M22.617,5.359c0.234,0,0.469,0.094,0.656,0.234c-1.664,0.773-3.421,2.718-4.148,6.655	c-1.101,0.351-2.156,0.656-3.163,0.984C16.806,10.233,18.915,5.359,22.617,5.359z"/><path fill="#558b2f" d="M36.865,11.428c-0.141,0-3.21-0.234-3.21-0.234s-2.132-2.132-2.39-2.343	C31.17,8.757,31.053,8.71,30.96,8.71L29.249,44l12.373-2.671c0,0-4.335-29.338-4.359-29.549	C37.169,11.569,37.005,11.475,36.865,11.428z"/><path fill="#fff" d="M24.792,18.593l-1.475,4.449c0,0-1.337-0.715-2.927-0.715c-2.374,0-2.489,1.498-2.489,1.867	c0,2.028,5.301,2.812,5.301,7.583c0,3.757-2.374,6.177-5.578,6.177c-3.872,0-5.808-2.397-5.808-2.397l1.037-3.411	c0,0,2.028,1.752,3.734,1.752c1.129,0,1.59-0.876,1.59-1.521c0-2.651-4.333-2.766-4.333-7.145c0-3.665,2.628-7.214,7.952-7.214	C23.777,17.994,24.792,18.593,24.792,18.593z"/></svg>''',
    "253487c0-2246-43ba-a21f-5116b20a2c50": "<?xml version=\"1.0\" encoding=\"utf-8\"?>\r\n<!-- Generator: Adobe Illustrator 19.0.0, SVG Export Plug-In . SVG Version: 6.00 Build 0)  -->\r\n<svg version=\"1.1\" id=\"Layer_1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" x=\"0px\" y=\"0px\"\r\n\t viewBox=\"-393 31 500 500\" style=\"enable-background:new -393 31 500 500;\" xml:space=\"preserve\">\r\n<style type=\"text/css\">\r\n\t.st0{fill:#3C8BD9;}\r\n\t.st1{fill:#FABC04;}\r\n\t.st2{fill:#34A852;}\r\n\t.st3{fill:#E1C025;}\r\n</style>\r\n<g>\r\n\t<path class=\"st0\" d=\"M-201.3,156.2c3.5-9.3,8.4-17.8,15.6-24.7c28.8-28.1,76.4-21,96,14.3c14.7,26.8,30.3,52.9,45.4,79.4\r\n\t\tc25.3,44,50.9,87.9,75.9,132c21,36.9-1.8,83.5-43.5,89.8c-25.6,3.8-49.5-7.9-62.8-30.9c-22.2-38.7-44.5-77.3-66.7-115.8\r\n\t\tc-0.4-0.9-1-1.6-1.6-2.4c-2.4-1.9-3.4-4.7-4.9-7.2c-9.8-17.3-20-34.5-29.8-51.7c-6.3-11.2-12.9-22.2-19.3-33.4\r\n\t\tc-5.7-10-8.4-20.9-8.1-32.3C-204.7,167.4-203.9,161.5-201.3,156.2\"/>\r\n\t<path class=\"st1\" d=\"M-201.3,156.2c-1.3,5.3-2.5,10.6-2.8,16.2c-0.4,12.3,2.6,23.8,8.8,34.5c16.2,27.8,32.3,55.7,48.4,83.6\r\n\t\tc1.5,2.5,2.6,5,4.1,7.3c-8.8,15.3-17.6,30.4-26.6,45.7c-12.3,21.3-24.7,42.8-37.2,64.1c-0.6,0-0.7-0.3-0.9-0.7\r\n\t\tc-0.1-1.2,0.3-2.2,0.6-3.4c6-22,1-41.6-14.1-58.4c-9.3-10.1-21-15.9-34.5-17.8c-17.6-2.5-33.2,2.1-47.2,13.1\r\n\t\tc-2.5,1.9-4.1,4.7-7.1,6.2c-0.6,0-0.9-0.3-1-0.7c7.1-12.2,14-24.4,21-36.6c29.1-50.6,58.2-101.1,87.5-151.6\r\n\t\tC-202,157.3-201.6,156.8-201.3,156.2\"/>\r\n\t<path class=\"st2\" d=\"M-310.2,346.5c2.8-2.5,5.4-5.1,8.4-7.5c35.7-28.2,89.4-7.8,97.2,36.9c1.9,10.7,0.9,21-2.4,31.3\r\n\t\tc-0.1,0.9-0.3,1.6-0.6,2.5c-1.3,2.4-2.5,4.9-4,7.2c-13.1,21.6-32.3,32.3-57.6,30.7c-29-2.1-51.7-23.8-55.7-52.6\r\n\t\tc-1.9-14,0.9-27,8.1-39.1c1.5-2.6,3.2-5,4.9-7.6C-311.2,347.6-311.5,346.5-310.2,346.5\"/>\r\n\t<path class=\"st1\" d=\"M-310.2,346.5c-0.6,0.6-0.6,1.6-1.6,1.8c-0.1-1,0.4-1.6,1-2.4L-310.2,346.5\"/>\r\n\t<path class=\"st3\" d=\"M-207.6,409.7c-0.6-1,0-1.8,0.6-2.5c0.1,0.1,0.4,0.4,0.6,0.6L-207.6,409.7\"/>\r\n</g>\r\n</svg>\r\n",
    "47f25999-dd5e-4636-8c39-e7cea2453331": '''<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 16 16"><path fill="#00897B" d="M6 4l1.5 3.5 2.469 1.031L5 11V1.5L1 0v13.5L5 16l9-5.5v-4z"/></svg>''',
    "bfd1ddf8-ae8a-4620-b1d7-55597d2ba08c": '''<?xml version="1.0" encoding="utf-8"?><!-- Generator: Adobe Illustrator 18.1.1, SVG Export Plug-In . SVG Version: 6.00 Build 0)  --><svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="128px" height="128px" viewBox="0 0 128 128" style="enable-background:new 0 0 128 128;" xml:space="preserve"><g id="Placement_ONLY" style="display:none;"></g><g id="BASE"><linearGradient id="SVGID_1_" gradientUnits="userSpaceOnUse" x1="63.9997" y1="7.0336" x2="63.9997" y2="120.7894"><stop  offset="0" style="stop-color:#4387FD"/><stop  offset="1" style="stop-color:#4683EA"/></linearGradient><path style="fill:url(#SVGID_1_);" d="M27.7906,115.2166L1.54,69.7493c-2.0541-3.5578-2.0541-7.9412,0-11.499l26.2506-45.4672 c2.0541-3.5578,5.8503-5.7495,9.9585-5.7495h52.5012c4.1082,0,7.9044,2.1917,9.9585,5.7495l26.2506,45.4672 c2.0541,3.5578,2.0541,7.9412,0,11.499l-26.2506,45.4672c-2.0541,3.5578-5.8503,5.7495-9.9585,5.7495H37.7491 C33.6409,120.9661,29.8448,118.7744,27.7906,115.2166z"/></g><g id="shadow"><g><defs><path id="SVGID_6_" d="M27.7908,115.2166L1.5403,69.7493c-2.0541-3.5578-2.0541-7.9412,0-11.499l26.2505-45.4672 c2.0541-3.5578,5.8502-5.7495,9.9585-5.7495h52.501c4.1082,0,7.9044,2.1917,9.9585,5.7495l26.2505,45.4672 c2.0541,3.5578,2.0541,7.9412,0,11.499l-26.2505,45.4672c-2.0541,3.5578-5.8502,5.7495-9.9585,5.7495h-52.501 C33.641,120.9661,29.8449,118.7744,27.7908,115.2166z"/></defs><clipPath id="SVGID_2_"><use xlink:href="#SVGID_6_" style="overflow:visible;"/></clipPath><polygon style="opacity:0.07;clip-path:url(#SVGID_2_);" points="119.2289,86.4791 80.6247,47.8749 63.9997,43.4256 49.0668,48.9745 43.3004,63.9999 47.9372,80.729 88.8747,121.6665 97.5622,121.2811"/></g></g><g id="art"><g><g><path style="fill:#FFFFFF;" d="M63.9997,40.804c-12.8097,0-23.1947,10.3849-23.1947,23.1959 c0,12.8097,10.385,23.1947,23.1947,23.1947s23.1947-10.385,23.1947-23.1947C87.1945,51.1889,76.8095,40.804,63.9997,40.804 M63.9997,81.5988c-9.72,0-17.599-7.879-17.599-17.599s7.879-17.6007,17.599-17.6007s17.6001,7.8807,17.6001,17.6007 S73.7197,81.5988,63.9997,81.5988"/><path style="fill:#FFFFFF;" d="M52.9898,63.1041v7.2091c1.0659,1.8326,2.5751,3.3702,4.381,4.4754V63.1041H52.9898z"/><path style="fill:#FFFFFF;" d="M61.6754,57.0263v19.4109c0.7448,0.1363,1.5067,0.2199,2.2892,0.2199 c0.7145,0,1.4098-0.0752,2.093-0.189V57.0263H61.6754z"/><path style="fill:#FFFFFF;" d="M70.7656,66.1008v8.5614c1.8325-1.1695,3.3478-2.7822,4.3822-4.7002v-3.8612H70.7656z"/><path style="fill:#FFFFFF;" d="M80.6914,78.2867l-2.403,2.4049c-0.4239,0.4227-0.4239,1.1132,0,1.5371l9.1143,9.112 c0.4227,0.4238,1.1144,0.4238,1.5371,0l2.403-2.4013c0.4214-0.4227,0.4214-1.1143,0-1.5365l-9.1156-9.1162 C81.8057,77.8646,81.1129,77.8646,80.6914,78.2867"/></g></g></g><g id="Guides"></g></svg>''',
    "e2d65910-8c8b-40a1-ae7d-ee2416b2bfa2": '''<?xml version="1.0" encoding="UTF-8"?><svg width="300px" height="150px" viewBox="0 0 300 150" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><!-- Generator: Sketch 55 (78076) - https://sketchapp.com --><title>Logo-Snowflake</title><desc>Created with Sketch.</desc><g id="Logo-Snowflake" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd"><g id="snowflake" transform="translate(91.000000, 16.000000)" fill="#0ABEF5" fill-rule="nonzero"><path d="M39.2704687,62.593633 C40.9811141,58.6161049 39.1217169,54.0493134 35.105419,52.355181 C29.3040998,49.4088639 23.6515323,45.8732834 17.8502131,42.5586767 C15.6189364,41.232834 13.238908,39.8333333 10.8588796,38.6548065 C10.5613761,38.5074906 10.1894966,38.3601748 9.89199307,38.2128589 C6.09882279,36.8870162 1.93377308,38.8021223 0.595007102,42.5586767 C0.446255326,42.9269663 0.297503551,43.221598 0.0743758877,43.5898876 L0.0743758877,46.6098627 C1.04126243,49.2615481 3.0494114,51.397628 5.65256747,52.5761548 C9.59448951,54.7122347 13.4620357,56.9956305 17.3295818,59.2053683 C17.4039577,59.2790262 17.4783336,59.3526841 17.7014613,59.6473159 L14.2801704,61.6360799 C11.3051349,63.3302122 8.40447531,65.1716604 5.35506392,66.7184769 C2.75190785,67.8970037 0.818134765,70.0330836 0,72.758427 L0,75.4837703 C2.23127663,82.0393258 8.03259587,82.4812734 12.7182768,79.6086142 C20.0814897,75.1154806 27.5190785,70.7696629 35.1797949,66.7921348 C37.0391921,65.9082397 38.5267098,64.4350811 39.2704687,62.593633 L39.2704687,62.593633 Z M17.1808301,28.8583021 C25.2878018,33.6460674 33.4691495,38.2865169 41.6504971,42.8533084 C47.2286887,45.9469413 53.1787597,42.4113608 53.1787597,36.076779 L53.1787597,8.45505618 C53.1787597,7.64481898 53.1043838,6.76092385 52.8812562,5.95068664 C52.2118732,3.00436954 49.9805965,1.53121099 47.3030646,0.5 L44.1792773,0.573657928 C39.716724,2.12047441 38.0060786,5.36142322 38.3779581,9.92821473 C38.4523339,11.4013733 38.3779581,12.8745318 38.3779581,14.3476904 L38.3779581,23.9968789 C37.6341992,23.6285893 37.1879439,23.4076155 36.6673126,23.1129838 C32.6510147,20.9032459 28.7834685,18.5461923 24.8415465,16.4101124 C23.6515323,15.6735331 22.2383904,15.2315855 20.8996244,15.0842697 C17.5527095,14.789638 14.4289222,16.9257179 13.4620357,20.0930087 C12.3463974,23.5549313 13.9826669,27.2378277 17.1808301,28.8583021 Z M47.7493199,75.4101124 C45.5180433,74.8208489 43.1380149,75.1891386 41.2042418,76.4413233 C33.3203977,80.9344569 25.4365536,85.5012484 17.5527095,89.994382 C16.9577024,90.2890137 16.3626953,90.6573034 15.8420641,91.0992509 C13.6107875,92.7197253 12.6439009,95.5187266 13.238908,98.170412 C13.3876598,99.0543071 13.7595392,99.9382022 14.2057946,100.674782 C16.3626953,104.063046 20.8996244,105.094257 24.3209153,102.958177 C28.485965,100.601124 32.5022629,98.3177278 36.5929368,95.9606742 L38.3779581,95.0031211 C38.3779581,99.8645443 38.6010857,104.65231 38.3779581,109.145443 C38.1548304,113.638577 39.7910999,116.953184 44.2536532,118.5 L47.3030646,118.5 C50.6499795,117.247815 53.1043838,115.185393 53.1043838,111.428839 C53.1787597,101.632335 53.1787597,91.9094881 53.1043838,82.1129838 C53.0300079,78.872035 50.8731072,76.1466916 47.7493199,75.4101124 L47.7493199,75.4101124 Z M78.0203062,42.6323346 C83.449746,39.5387016 88.9535617,36.3714107 94.4573774,33.2777778 C96.9861576,31.8046192 99.5893136,30.4051186 102.118094,28.8583021 C104.72125,27.5324594 106.283144,24.8071161 106.060016,21.860799 C105.98564,20.6822722 105.613761,19.5037453 105.018753,18.5461923 C102.936229,15.1579276 98.3992994,14.0530587 94.9780086,16.1891386 C90.8129589,18.3988764 86.796661,20.829588 82.7059871,23.1866417 C82.1853559,23.4812734 81.6647247,23.7022472 80.9953417,24.0705368 L80.9953417,8.89700375 C80.9953417,8.01310861 80.9209658,7.12921348 80.7722141,6.24531835 C80.1028311,3.22534332 77.8715544,1.67852684 75.1940225,0.647315855 L72.1446111,0.647315855 C67.6820578,2.19413233 66.1945401,5.43508115 66.268916,10.0018727 C66.4176677,18.6198502 66.268916,27.2378277 66.268916,35.9294632 C66.1945401,42.6323346 71.9214834,46.0205993 78.0203062,42.6323346 L78.0203062,42.6323346 Z M102.19247,90.3626717 C93.9367462,85.5012484 85.6810226,80.7871411 77.3509232,76.1466916 C71.9958593,73.1267166 66.1945401,76.7359551 66.1945401,82.849563 C66.1945401,91.6148564 66.3432918,100.38015 66.1945401,109.071785 C66.1201642,113.564919 67.6076819,116.879526 72.0702352,118.426342 L75.1196466,118.5 C79.5821999,116.953184 81.2928453,113.712235 80.9953417,109.145443 C80.9209658,107.377653 80.9953417,105.536205 80.9953417,103.694757 L80.9953417,95.076779 C81.7391006,95.4450687 82.1853559,95.6660424 82.7059871,95.9606742 C86.7222851,98.170412 90.738583,100.601124 94.8292568,102.884519 C95.0523845,103.031835 95.2011363,103.105493 95.4242639,103.252809 C98.9943065,105.167915 103.45686,103.768414 105.390633,100.232834 C107.175654,96.6235955 105.836888,92.2041199 102.19247,90.3626717 L102.19247,90.3626717 Z M114.985122,51.6922597 C117.73703,50.2927591 119.3733,47.3464419 118.927044,44.3264669 C118.406413,38.8021223 112.605094,36.076779 107.547534,38.8757803 C99.5893136,43.3689139 91.6310937,47.9357054 83.7472496,52.5024969 C77.4252991,56.1117353 77.4252991,62.8146067 83.7472496,66.4238452 L106.952527,79.6822722 C107.547534,80.0505618 108.142541,80.3451935 108.737548,80.6398252 C111.786959,81.8183521 115.20825,80.9344569 117.216399,78.4300874 C119.745179,75.2627965 119.224548,70.696005 116.026385,68.1916355 C114.985122,67.4550562 113.94386,66.8657928 112.902598,66.2765293 L101.225583,59.5736579 C101.969342,59.1317104 102.415597,58.7634207 103.010604,58.5424469 L114.985122,51.6922597 L114.985122,51.6922597 Z M72.218987,62.8146067 C73.9296324,60.8995006 73.9296324,58.0268414 72.218987,56.0380774 C69.2439515,53.0181024 66.1945401,50.0717853 63.1451287,47.0518102 C61.1369797,45.28402 58.1619442,45.28402 56.2281711,47.0518102 C53.2531356,49.9981273 50.2037242,52.9444444 47.3030646,55.8907615 C45.4436674,57.8795256 45.4436674,60.8995006 47.3030646,62.8882647 C50.1293483,65.7609238 52.9556321,68.633583 55.9306676,71.3589263 C57.0463059,72.1691635 58.2363201,72.9057428 59.5750861,73.4213483 C60.8394761,73.0530587 62.0294904,72.5374532 63.0707528,71.8008739 C66.1945401,68.9282147 69.1695756,65.9082397 72.218987,62.8146067 Z M61.5088591,63.1092385 C60.913852,63.551186 60.3188449,63.9931336 59.6494619,64.4350811 L59.6494619,64.5087391 C58.980079,64.0667915 58.3850719,63.551186 57.7900648,63.0355805 C53.9968945,59.4263421 53.9968945,59.4263421 57.7900648,55.7434457 C59.2775825,54.3439451 60.0213414,54.3439451 61.5088591,55.7434457 C65.4507812,59.4263421 65.4507812,59.4263421 61.5088591,63.1092385 Z" id="Shape"></path></g></g></svg>'''
}

# TODO: Map this with the connector SSID
# KEEP the upper bound as the 5 characters
DATA_SOURCE_ABBREVIATION = {
    "Google Analytics": "ga",
    "MySQL": "mysql",
    "Google Sheets": "gs",
    "Shopify": "shop",
    "Postgres": "pg",
    "Stripe": "strp",
    "Google Ads": "gads",
    "Facebook Marketing": "fbads",
    "Bing Ads": "bads"
}
